Skip to main content

Get a command restriction

GET 

/api/v1/CommandRestriction/:commandRestrictionId

Returns one command restriction, including its list of settings that define which commands are matched and what happens when one is used.

Permission required: Administrator who has completed multi-factor authentication.

Values for commandRestrictionSettings[].commandRestrictionMatchType: 0 = Keyword.

Values for commandRestrictionSettings[].commandRestrictionActionType: 0 = LogOnly, 1 = Block, 2 = BlockAndLock, 3 = Terminate.

Request​

Responses​

The command restriction and its settings.